/*
 * MathPlanner 3.0 - Mathematical design tool.
 * Copyright(C) 2002  Jarmo Nikkanen
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation.
 *
 * You should have received a copy of the GNU General Public License with this program.
 *
 */

#ifndef _MATHPLANNER_PAR_H
#define _MATHPLANNER_PAR_H

#include <qpixmap.h>
#include <qcolor.h>
#include <qpainter.h>
#include <qpoint.h>
#include <qstring.h>

class draw_par_class {
      int sizefactor;
      QPixmap img_a[4][20];
      QPixmap img_b[4][20];
      public:
			draw_par_class();
      void Init(int id,QString name,QColor b,QColor d,int sizefactor);
      void Draw(int id,int size,int side,QPoint pos,QPainter *);
      class layout_rect Bounds(int id,int size);
};

extern  draw_par_class *draw_par;

class draw_sigma_class {
      int sizefactor;
      QPixmap img_a[4][20];
      public:
			draw_sigma_class();
      void Init(int id,QString name,QColor b,QColor d,int sizefactor);
      void Draw(int id,int size,QPoint pos,QPainter *);
      class layout_rect Bounds(int id,int size);
};

extern  draw_sigma_class *draw_sigma;

#endif




