

#ifndef _MATHPLANNER_SETUP_H
#define _MATHPLANNER_SETUP_H

#include <qpixmap.h>
#include <qcolor.h>
#include <qfont.h>
#include <qobject.h>

class Preferences;
class config_file_reader;
class ApplicationControl;


class setup : private QObject {

Q_OBJECT

QPixmap bm1,bm2,bm3,bm4,bm5;
QColor co1,co2,co3,co4,co5;
QFont fontb,fonti,fontf,fonto;

Preferences *Dialog;
config_file_reader *Prefs;
ApplicationControl *AppControl;

public:
setup(QWidget *parent,config_file_reader *Prefs,ApplicationControl *);
~setup();

void Show();
QString FontInfo(QFont);

private:
void Init();
void PageDisable();


private slots:

void Ok();
void Default();
void ColorB();
void ColorI();
void ColorF();
void ColorO();
void ColorS();

void FontB();
void FontI();
void FontF();
void FontO();

void PageSize(int);
void Orientation(int);
void Grid(int);
void Size(int);

};


#endif
















