/*
 * MathPlanner 3.1 - Mathematical design tool.
 * Copyright(C) 2002  Jarmo Nikkanen
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation.
 *
 * You should have received a copy of the GNU General Public License with this program.
 *
 */

#ifndef _MATHPLANNER_MEMORY_H
#define _MATHPLANNER_MEMORY_H

#include <malloc.h>
#include <stdio.h>

class NMemory
{
	public:
	NMemory(int size=256);
	~NMemory();
	int  Size();
	void *Address();
	void Clear();
	
	bool SetSizeTo(int size,bool keep=true);
	bool IncreaseSizeBy(int size,bool keep=true);
	bool SetPointerTo(int pos);
	
	private:
	void *address;
	int size;
	int pointer;
};

#endif


